<?php
	$certificadoID = $_POST['certificadoID'];
	$email = $_POST['email'];
	$nome = $_POST['nome'];
	$curso = $_POST['curso'];
	$resposta1 = $_POST['resposta1'];
	$resposta2 = $_POST['resposta2'];
	$resposta3_1 = $_POST['resposta3_1'];
	$resposta3_2 = $_POST['resposta3_2'];
	$resposta3_3 = $_POST['resposta3_3'];
	$resposta4_1 = $_POST['resposta4_1'];
	$resposta4_2 = $_POST['resposta4_2'];
	$resposta4_3a = $_POST['resposta4_3a'];
	$resposta4_3b = $_POST['resposta4_3b'];
	$resposta4_4 = $_POST['resposta4_4'];
	$resposta5_1 = $_POST['resposta5_1'];
	$resposta5_2 = $_POST['resposta5_2'];
	$resposta5_3 = $_POST['resposta5_3'];
	$resposta5_4 = $_POST['resposta5_4'];
	$comentarios = $_POST['comentarios'];

	require('connect.php');

	$conn = new PDO("mysql:host=$db_host; dbname=$db_name; charset=utf8", $db_user, $db_pass);

	$sql = "SELECT filedata, filedata_sigo, sigo, emailRetorno, course_id, user_idnumber FROM certificado where id = :id";

	$statement = $conn->prepare($sql);

	$statement->bindValue(':id', $certificadoID);
	$statement->execute();
	$row = $statement->fetch(PDO::FETCH_ASSOC);

	if($row === false)
	{
		echo '<script>alert("Erro!"); history.go(-1)</script>';
	}
	else
	{
		$to1 = $row['emailRetorno'];
		//$to1 = "josesa@criap.com";
		$subject = 'INSTRUMENTO DE ACOMPANHAMENTO PÓS-FORMAÇÃO | '.$curso;

		$headers = 'From: Instituto CRIAP <no-reply@criap.com>'."\r\n".'Content-Type: text/html; charset=utf-8'."\r\n";

		$txt = 'Aluno - ' . $nome . '<br/>';
		$txt .= 'Curso - ' . $curso . '<br/><br/>';
		$txt .= '# PERTINÊNCIA FACE ÀS NECESSIDADES DE FORMAÇÃO<br/>';
		$txt .= '1.1 Tendo em conta as suas necessidades de aprendizagem, acha que o trabalho desenvolvido durante a formação correspondeu às suas expetativas?<br/>';
		$txt .= $resposta1 . '<br/><br/>';

		$txt .= '2# APLICABILIDADE<br/>';
		$txt .= '2.1 Considera que o que aprendeu nesta formação está a ser útil e aplicável no seu trabalho ou noutro contexto para si relevante?<br/>';
		$txt .= $resposta2 . '<br/><br/>';

		$txt .= '3# EMPREGABILIDADE<br/>';
		$txt .= '3.1 Relativamente à sua situação profissional, neste momento, encontra-se empregado?<br/>';
		$txt .= $resposta3_1 . '<br/><br/>';

		$txt .= '3.2 A frequência da formação no Instituto CRIAP teve alguma influência para entrar no mercado de trabalho/progressão profissional?<br/>';
		$txt .= $resposta3_2 . '<br/><br/>';

		$txt .= '3.3 Se estava desempregado à data da formação e está agora empregado, qual foi o período despendido para entrar no mercado de trabalho após a frequência da formação no Instituto CRIAP?<br/>';
		$txt .= $resposta3_3 . '<br/><br/>';

		$txt .= '4# PROSSEGUIMENTO DE ESTUDOS<br/>';
		$txt .= '4.1 Considera que a frequência de uma formação no Instituto CRIAP é uma mais-valia para o prosseguimento de estudos (Mestrados e ou Doutoramentos)?<br/>';
		$txt .= $resposta4_1 . '<br/><br/>';

		$txt .= '4.2 Após concluir a formação no Instituto CRIAP matriculou-se em algum estabelecimento de ensino superior?<br/>';
		$txt .= $resposta4_2 . '<br/><br/>';

		$txt .= '4.3 Se respondeu afirmativamente à questão anterior, especifique por favor:<br/>';
		$txt .= 'a) o nome do curso:<br/>';
		$txt .= $resposta4_3a . '<br/><br/>';
		$txt .= 'b) o nome do estabelecimento de ensino superior:<br/>';
		$txt .= $resposta4_3b . '<br/><br/>';

		$txt .= '4.4 Foram-lhe atribuídas equivalências?<br/>';
		$txt .= $resposta4_4 . '<br/><br/>';

		$txt .= '5# NOVAS NECESSIDADES DE FORMAÇÃO<br/>';
		$txt .= '5.1 Em que medida estaria interessado/a em frequentar outra ação de formação ministrada pelo Instituto CRIAP?<br/>';
		$txt .= $resposta5_1 . '<br/><br/>';

		$txt .= '5.2 Na sua opinião, qual a tipologia preferencial para uma formação avançada?<br/>';
		$txt .= $resposta5_2 . '<br/><br/>';

		$txt .= '5.3 Na sua opinião, de que forma deveria decorrer uma formação de maior duração?<br/>';
		$txt .= $resposta5_3 . '<br/><br/>';

		$txt .= '5.4 Na sua opinião, qual seria o horário mais adequado?<br/>';
		$txt .= $resposta5_4 . '<br/><br/>';

		$txt .= 'COMENTÁRIOS/SUGESTÕES<br/>';
		$txt .= nl2br($comentarios) . '<br/><br/>';


		require 'phpmailer-send/PHPMailer.php';
		require 'phpmailer-send/SMTP.php';

		$mail = new PHPMailer;

		$mail->IsSMTP();
		$mail->Host = 'server.criap.com';
		$mail->SMTPAuth = TRUE;
		$mail->SMTPSecure = 'tls';
		$mail->Username = 'noreply@criap.com';
		$mail->Password = '$IcriapALL$2020$';
		$mail->Port = 587;
		$mail->CharSet = "UTF-8";


		$mail->setFrom('no-reply@criap.com', 'Instituto CRIAP');
		$mail->addAddress($to1);
		$mail->addReplyTo('no-reply@criap.com', 'Instituto CRIAP');
		$mail->isHTML(true);

		$mail->Subject = $subject;
		$mail->Body = $txt;

		$result = $mail->send();



		//if($result)
		{
			$sqlUpdate = "UPDATE certificado SET inqueritoFill = 1, data_email = NOW() where id = :id";

			$statementUpdate = $conn->prepare($sqlUpdate);
			$statementUpdate->bindValue(':id', $certificadoID);
			$statementUpdate->execute();


			$sqlUpdate = "INSERT INTO inqueritos_formandos (course_id, user_id, resp_1, resp_2, resp_3_1, resp_3_2, resp_3_3, resp_4_1, resp_4_2, resp_4_3_a, resp_4_3_b, resp_4_4, resp_5_1, resp_5_2, resp_5_3, resp_5_4, comentario) 
			VALUES (:course_id, :user_id, :resp_1, :resp_2, :resp_3_1, :resp_3_2, :resp_3_3, :resp_4_1, :resp_4_2, :resp_4_3_a, :resp_4_3_b, :resp_4_4, :resp_5_1, :resp_5_2, :resp_5_3, :resp_5_4, :comentario);";

			$statementUpdate = $conn->prepare($sqlUpdate);
			$statementUpdate->bindValue(':course_id', $row['course_id']);
			$statementUpdate->bindValue(':user_id', $row['user_idnumber']);
			$statementUpdate->bindValue(':resp_1', $resposta1);
			$statementUpdate->bindValue(':resp_2', $resposta2);
			$statementUpdate->bindValue(':resp_3_1', $resposta3_1);
			$statementUpdate->bindValue(':resp_3_2', $resposta3_2);
			$statementUpdate->bindValue(':resp_3_3', $resposta3_3);
			$statementUpdate->bindValue(':resp_4_1', $resposta4_1);
			$statementUpdate->bindValue(':resp_4_2', $resposta4_2);
			$statementUpdate->bindValue(':resp_4_3_a', $resposta4_3a);
			$statementUpdate->bindValue(':resp_4_3_b', $resposta4_3b);
			$statementUpdate->bindValue(':resp_4_4', $resposta4_4);
			$statementUpdate->bindValue(':resp_5_1', $resposta5_1);
			$statementUpdate->bindValue(':resp_5_2', $resposta5_2);
			$statementUpdate->bindValue(':resp_5_3', $resposta5_3);
			$statementUpdate->bindValue(':resp_5_4', $resposta5_4);
			$statementUpdate->bindValue(':comentario', $comentarios);
			$statementUpdate->execute();

/*
			$name = $nome;
			$email = $email;
			//$to2 = "$name <$email>";
			$to2 = $email;
			//$to2 = "josesa@criap.com";
			$from = "Instituto CRIAP <no-reply@criap.com>";
			$subject = $curso . ' | Envio de Certificado';
			$fileatttype = "application/pdf";
			$fileattname = $certificadoID . "_certificado.pdf";
			$fileattname_sigo = $certificadoID . "_certificado_sigo.pdf";
			$headers = "From: $from";

			$txt = "Caro/a formando/a,<br/><br/>";
			$txt .= "Vimos por este meio informar que o certificado de conclusão relativo à sua formação já se encontra disponível para sua consulta na plataforma moodle, no separador “Documentos de formação”. Mais informamos, que estes documentos estarão ativos e disponíveis na plataforma durante o período de acesso à mesma.<br/><br/>";
			$txt .= "A sua preferência permitiu ao Instituto ser uma referência na sua área de atuação, razão que nos orgulha e motiva na conceção de novos projetos em que estamos, entusiasticamente, envolvidos. É objetivo do Instituto criar oportunidades aos nossos formandos indo não só ao encontro das necessidades formativas mas também oferecer outros serviços que podem ser um complemento à formação, tais como:<br/>";
			$txt .= "- Supervisão clínica em Psicologia e Terapia da Fala;<br/>- Supervisão em Serviço Social;<br/>- Estágio de curta ou longa duração.<br/><br/>";
			$txt .= "Estes serviços pretendem ser não só um complemento prático à formação, como também um espaço aberto a qualquer profissional/estudante que deseje (re)explorar possibilidades com os seus pares.<br/>";
			$txt .= "O Instituto CRIAP dá-lhe os parabéns pelo empenho e excelentes resultados obtidos, desejando o maior sucesso pessoal e profissional.<br/><br/>";
			$txt .= "Somos, cordialmente,<br/>Drª. Adélia Magalhães<br/>Direção Pedagógica";


			$data = $row['filedata'];
			$data = chunk_split(base64_encode($data));

			if ($row['filedata_sigo']!="")
			{
				$data_sigo = $row['filedata_sigo'];
				$data_sigo = chunk_split(base64_encode($data_sigo));
			}

			$random_hash = md5(date('r', time()));
			$headers .= "\r\n" ."MIME-Version: 1.0\r\n";
			$headers .= "Content-Type: multipart/mixed; charset=utf-8; boundary = $random_hash\r\n\r\n";


			$body = "--$random_hash\r\n";
			$body .= "Content-Type: text/html; charset=utf-8\\r\n";
			$body .= "Content-Transfer-Encoding: base64\r\n\r\n"; 
			$body .= chunk_split(base64_encode($txt));


			$body .= "--$random_hash\r\n";
			$body .="Content-Type: " . $fileatttype . "; name=".$fileattname."\r\n";
			$body .="Content-Disposition: attachment; filename=".$fileattname."\r\n";
			$body .="Content-Transfer-Encoding: base64\r\n";
			$body .="X-Attachment-Id: ".rand(1000,99999)."\r\n\r\n"; 
			$body .= $data;

			if ($row['sigo']=="1")
			{
				$body .= "--$random_hash\r\n";
				$body .="Content-Type: " . $fileatttype . "; name=".$fileattname_sigo."\r\n";
				$body .="Content-Disposition: attachment; filename=".$fileattname_sigo."\r\n";
				$body .="Content-Transfer-Encoding: base64\r\n";
				$body .="X-Attachment-Id: ".rand(1000,99999)."\r\n\r\n"; 
				$body .= $data_sigo;
			}

			$mail = new PHPMailer;

			$mail->IsSMTP();
			$mail->Host = 'mail.criap.com';
			$mail->SMTPAuth = TRUE;
			$mail->SMTPSecure = 'tls';
			$mail->Username = 'noreply@criap.com';
			$mail->Password = '$IcriapALL$2020$';
			$mail->Port = 587;
			$mail->CharSet = "UTF-8";

			$mail->setFrom('no-reply@criap.com', 'Instituto CRIAP');
			$mail->addAddress($to2);
			//$mail->addBCC($to1);
			$mail->addReplyTo('no-reply@criap.com', 'Instituto CRIAP');

			$filename="Certificado_CRIAP.pdf";
			$filename_sigo="Certificado_SIGO.pdf";
			$encoding = "base64";
			$type = "aplication/pdf";
			$mail->AddStringAttachment(base64_decode($data), $filename, $encoding, $type);
			if ($row['filedata_sigo']!="")
			{
				$mail->AddStringAttachment(base64_decode($data_sigo), $filename_sigo, $encoding, $type);
			}

			$mail->isHTML(true);

			$mail->Subject = $subject;
			$mail->Body = $txt;

			$mail->send();
*/

		}


	}
?>